Page MenuHomePhabricator

Improve Extension:WikibaseSchema documentation
Closed, ResolvedPublic

Description

The Extension:WikibaseSchema documentation page could use some more info:

  • Make 'ShExC' a hyperlink to a wikipage about what it is
  • List the prerequisites required in order to display the 'check entities against this Schema' link
  • A word about the external tool?

Event Timeline

noarave created this task.Apr 3 2019, 10:56 AM
Restricted Application added a project: User-Noarave. · View Herald TranscriptApr 3 2019, 10:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
noarave added a project: Wikidata.
Aklapper renamed this task from Improve Mediawiki extension documentation to Improve Extension:WikibaseSchema documentation.Apr 3 2019, 12:16 PM
Aklapper added a project: Documentation.
hoo added a comment.Apr 4 2019, 2:05 PM

I like this :)

IMO it would be nicer to instruct users to not run composer in the extension dir (would that even work? I'm not sure MW would pick up a Diff installation in the extensions vendor dir), but in the main MediaWiki dir (via composer merge plugin). I've opened a discussion to change the template in question: https://www.mediawiki.org/wiki/Template_talk:ExtensionInstall#Composer_instructions_should_use_the_%22composer-merge-plugin%22, so I wouldn't block this task on that.

Lydia_Pintscher closed this task as Resolved.Apr 8 2019, 8:28 AM
Lydia_Pintscher moved this task from Verification to Done on the Shape Expressions Sprint 5 board.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

\o/